
const St = imports.gi.St;
const Main = imports.ui.main;
const GLib = imports.gi.GLib;

let state, button, icon, onIcon, PAID;

function _toggle() {

    if (state == 0) {
        button.set_child(onIcon);
        PAID = GLib.spawn_command_line_sync('pactl load-module module-loopback latency_msec=1');
        state = 1;
    }
    else {
        button.set_child(icon);
        state = 0;
        GLib.spawn_command_line_sync('pactl unload-module ' + PAID[1]);
    }
}

function init() {
    button = new St.Bin({ style_class: 'panel-button',
                          reactive: true,
                          can_focus: true,
                          x_fill: true,
                          y_fill: false,
                          track_hover: true });
    icon = new St.Icon({ style_class: 'pulseaudio-loopback-device-icon' });
    onIcon = new St.Icon({ style_class: 'pulseaudio-loopback-device-on-icon' });

    button.set_child(icon);
    button.connect('button-press-event', _toggle);
    state = 0;
}

function enable() {
    Main.panel._rightBox.insert_child_at_index(button, 0);
}

function disable() {
    Main.panel._rightBox.remove_child(button);
}
